#ifndef STATS_H
#define STATS_H
#include "stuff.h"

//attributes.h  attributes
string NumberToString(int Number);
int StringToNumber(string MyString);
class Statss
{

protected:



int magic_power;
int attack_power;
int bonceattack_power;
double attack_powerminrato;
double goldpercent;
int strength;
int magic;
int magic_defense_max;
int magic_defense;

int immun_system;
int immun_system_max;
int ki;
int ki_max;
int ki_bar;
int hp;

int hp_max;
int hp_bar;
int mp_max;
int mp;
int mp_bar;
int psi_attack;


int psi_attack_max;
int psi_points_max;
int psi_defense;
int psi_defense_max;
int wisdom;
int luck;

int defense;
int defense_max;
long gold;
long ap;
long exp;
int level;
int level_max;

int agility;
int speed;
int accuracy;
int evasion;
int lbs;
int normal_lbs;
int timer_max;

public: 
long goldtotrade;
int site;
int range;
int movmentRate;
string statholder;
//regen
int attack_type; //1 = milee 2 = ranged
int	attackstamana_max;
int	attackstamana_regen;
int	bonce_attackstamana_regen;
int	attackstamana;
int	attackstamana_bar;
int Getattackstamana_bar();
int mp_regen;
int hp_regen;
int bonce_mp_regen;
int bonce_hp_regen;
bool regentime;
double crt;
int crtprocent;
//set tools



void Setattack_type(int Newattack_type);
void Setmagic_power(int Newmagic_power);
void Setbonceattack_power(int Newattack_power);
void Setminattack_powerrato(int Newattack_power);
void Setattack_power(int Newattack_power);

void Setstrength(int Newstrength);
void Setmagic(int Newmagic);
void Setmagic_defense_max(int Newmagic_defense_max);
void Setmagic_defense(int Newmagic_defense);

void Setimmun_system(int Newimmun_system);
void Setimmun_system_max(int Newimmun_system_max);
void Setki(int Newki);
void Setki_max(int Newki_max);
void Setki_bar(int Newki_bar);
void Sethp(int Newhp);

void Sethp_max(int Newhp_max);
void Sethp_bar(int Newhp_bar);
void Setmp_max(int Newmp_max);
void Setmp(int Newmp);
void Setmp_bar(int Newmp_bar);
void Setpsi_attack(int Newpsi_attack);

void Setpsi_attack_max(int Newpsi_attack_max);
void Setpsi_points_max(int Newpsi_points_max);
void Setpsi_defense(int Newpsi_defense);
void Setpsi_defense_max(int Newpsi_defense_max);
void Setwisdom(int Newwisdom);
void Setluck(int Newluck);

void Setdefense(int Newdefense);
void Setdefense_max(int Newdefense_max);

void Setgoldpercent(double Newgoldpercent);
void Setgold(long Newgold);
void Setap(long Newap);
void Setexp(long Newexp);
void Setlevel(int Newlevel);

void Setlevel_max(int Newlevel_max);
void Setagility(int Newagility);
void Setspeed(int Newspeed);
void Setaccuracy(int Newaccuracy);
void Setevasion(int Newevasion);
void Setlbs(int Newlbs);

void Setnormal_lbs(int Newnormal_lbs);
void Settimer_max(int Newtimer_max);
void Set_statholder(string);

// Get tools

int Getattack_type();
int Getmagic_power();
int Getbonceattack_power();
int Getminattack_power();
int Getattack_power();
int Getstrength();
int Getmagic();
int Getmagic_defense_max();
int Getmagic_defense();

int Getimmun_system();
int Getimmun_system_max();
int Getki();
int Getki_max();
int Getki_bar();
int Gethp();

int Gethp_max();
int Gethp_bar();
int Getmp_max();
int Getmp();
int Getmp_bar();
int Getpsi_attack();

int Getpsi_attack_max();
int Getpsi_points_max();
int Getpsi_defense();
int Getpsi_defense_max();
int Getwisdom();
int Getluck();

int Getdefense();
int Getdefense_max();
long Getgold();
double Getgoldpercent();

long Getap();
long Getexp();
int Getlevel();

int Getlevel_max();
int Getagility();
int Getspeed();
int Getaccuracy();
int Getevasion();
int Getlbs();

int Getnormal_lbs();
int Gettimer_max();
string Get_statholder();
string toString();
void fromString();
void levelup();
//need deflt constotor
Statss();
};

#endif